/**
* DevExtreme (core/events_mixin.d.ts)
* Version: 19.2.7 (build 20092-0323)
* Build date: Wed Apr 01 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
/** Warning! This type is used for internal purposes. Do not import it directly. *//** A mixin that provides a capability to fire and subscribe to events. */
export default class EventsMixin {
   /** Detaches all event handlers from a single event. */
    off(eventName: string): this;
   /** Detaches a particular event handler from a single event. */
    off(eventName: string, eventHandler: Function): this;
   /** Subscribes to an event. */
    on(eventName: string, eventHandler: Function): this;
   /** Subscribes to events. */
    on(events: any): this;
}
